Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1807531 - openni requires Python 2 to build
Summary: openni requires Python 2 to build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openni
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27 1918909
TreeView+ depends on / blocked
 
Reported: 2020-02-26 15:00 UTC by Petr Viktorin
Modified: 2021-02-22 02:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-22 02:59:11 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-26 15:00:16 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like openni, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.
Let us know if you need any help investigating or removing the dependency. (There are dozens of packages like this, so we didn't investigate this one thoroughly. We assume you know the package best.)

If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Orion Poplawski 2020-06-01 04:21:35 UTC
Looks like this just involves a couple of simple scripts that likely could be converted to python3 with 2to3.

Comment 2 Ben Cotton 2020-08-11 13:10:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 3 Petr Viktorin 2021-01-13 20:24:48 UTC
The listed URL now redirects me to an iPhone ad.

Do you have any update on the openni package?

Comment 4 Petr Viktorin 2021-01-14 20:39:49 UTC
PR: https://bugzilla.redhat.com/show_bug.cgi?id=1807531

Comment 5 Petr Viktorin 2021-01-14 20:40:19 UTC
I mean: https://src.fedoraproject.org/rpms/openni/pull-request/3

Comment 6 Rich Mattes 2021-01-21 18:06:22 UTC
Thanks, I'll test it out this weekend.

Comment 7 Petr Viktorin 2021-02-10 15:06:52 UTC
How did it go?

Comment 8 Rich Mattes 2021-02-22 02:59:11 UTC
Looks good, i applied the patch in f34 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.